org.springframework.data.relational.core.dialect

## Enum LimitClause.Position

- java.lang.Object
- - java.lang.Enum<LimitClause.Position>
  - - org.springframework.data.relational.core.dialect.LimitClause.Position

All Implemented Interfaces:
  Serializable, Comparable<LimitClause.Position>

Enclosing interface:
  LimitClause

    public static enum LimitClause.Position
    extends Enum<LimitClause.Position>

Enumeration of where to render the clause within the SQL statement.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AFTER_ORDER_BY` Append the clause at the end of the statement.

### Method Summary

All Methods Static Methods Concrete Methods
`static LimitClause.Position` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LimitClause.Position[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AFTER_ORDER_BY

    public static final LimitClause.Position AFTER_ORDER_BY

Append the clause at the end of the statement.

### Method Detail

#### values

    public static LimitClause.Position[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LimitClause.Position c : LimitClause.Position.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LimitClause.Position valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null